Package org.apache.sling.feature.maven.mojos

# Enum InfoMojo.OutputFormat

java.lang.Object
java.lang.Enum<InfoMojo.OutputFormat>
org.apache.sling.feature.maven.mojos.InfoMojo.OutputFormat

All Implemented Interfaces:
  `Serializable`, `Comparable<InfoMojo.OutputFormat>`

Enclosing class:
  `InfoMojo`

public static enum InfoMojo.OutputFormat extends Enum<InfoMojo.OutputFormat>

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FILE`
`LOG`
`SINGLEFILE`

## Method Summary

Modifier and Type
Method
Description
`static InfoMojo.OutputFormat`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static InfoMojo.OutputFormat[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### FILE

public static final InfoMojo.OutputFormat FILE

### LOG

public static final InfoMojo.OutputFormat LOG

### SINGLEFILE

public static final InfoMojo.OutputFormat SINGLEFILE

## Method Details

### values

public static InfoMojo.OutputFormat[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static InfoMojo.OutputFormat valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null